Bug 97460 - xkb wrongly handle Ctrl key.
xkb wrongly handle Ctrl key.
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
https://bugs.freedesktop.org/show_bug...
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-16 04:31 EDT by Somsak Sriprayoonsakul
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-22 09:38:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Somsak Sriprayoonsakul 2003-06-16 04:31:19 EDT
In xkb protocol standard in Appendix A. It said that Ctrl key is hardwired to 
each key withotu going through the symbols map. However, it seems that the 
XFree86 shipped with redhat is not conform to this standard, result in wrongly 
handle keyboard map. Ctrl-c will is appear to be Ctrl-Thaisaraae in case of th 
keymap. He/She have to switch the keyboard map to "us" before pressing any 
shortcut key. The problem can be eliminate if setting XkbLayout to multiple 
layout and set us preced any other layout, for example, us+th or us+tml. But 
th+us, or th alone will bring back the problem.
KDE user will not be able to press "Ctrl-c", "Ctrl-v", etc.. when not in the 
us keymap. However, since KDE handle xkb by itself, the problem will always 
available in KDE if user enable additional keyboard layout.

Step to reproduce bug
---------------------

In any X-windows (GNOME, Windowmaker, blackbox...)
1. Change XkbLayout from "us" to "th" or "tamil" (any keymap that has no latin 
text in it)
2. Startx, run the xev program and try to press any Ctrl key
3. It should report "Ctrl-thatkeyonthekeymap" instead of "Ctrl-[a-zA-Z]

For KDE
1. Select additional keyboard layout.
2. Switch to non-layout using Ctrl-Alt-K
3. You will not be able to switch the layout back with Ctrl-Alt-K since xkb 
think of it as Ctrl-Alt-blahblahblah, depends on layout
Comment 1 Mike A. Harris 2003-06-16 16:11:48 EDT
If what you claim is correct then this wouldn't be a Red Hat specific bug,
but rather it would be an XFree86.org bug.  Please report this problem to
XFree86.org by filing a bug report at http://bugs.xfree86.org so that the
upstream xkb maintainer can investigate this issue and resolve it in CVS.

Once you've reported this upstream, please include a URL to the upstream bug
report here, and I will track it there and consider backporting any upstream
fixes.

Thanks.
Comment 2 Somsak Sriprayoonsakul 2003-06-18 00:20:14 EDT
Ok, I post the bug to XFree86's bugzilla. I also post the generated keymap 
(xkbcomp :0.0 -xkb -a) there. Note that, all things work in "-layout us,th" 
combination, but only us keymap works in "-layout th,us". 
Comment 3 Somsak Sriprayoonsakul 2003-06-18 00:26:10 EDT
Oops, forgot the URL, http://bugs.xfree86.org/cgi-bin/bugzilla/show_bug.cgi?
id=379
Comment 4 Mike A. Harris 2004-09-01 12:52:49 EDT
Repaired URL: http://bugs.xfree86.org/show_bug.cgi?id=379

Comment 5 Mike A. Harris 2004-10-01 01:58:57 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.
Comment 6 Somsak Sriprayoonsakul 2004-11-19 07:58:55 EST
The bug was re-appear in Fedora Core 3 (I don't sure whether FC2 also
has this).

I have submit the bug to XORG bugzilla. URL is
https://bugs.freedesktop.org/show_bug.cgi?id=1868
Comment 7 Mike A. Harris 2004-12-22 09:38:21 EST
Thanks, setting status to "UPSTREAM" for future tracking in the X.Org
bugzilla.

Note You need to log in before you can comment on or make changes to this bug.